# Uses of Interface
javax.xml.crypto.dsig.Manifest

Packages that use Manifest
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of Manifest in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return Manifest
Modifier and Type
Method
Description
`abstract Manifest`
XMLSignatureFactory.`newManifest​(List<? extends Reference> references)`
Creates a `Manifest` containing the specified list of `Reference`s.
`abstract Manifest`
XMLSignatureFactory.`newManifest​(List<? extends Reference> references, String id)`
Creates a `Manifest` containing the specified list of `Reference`s and optional id.